## ubuntu-drivers-common 0.2.91.12

=== share/hybrid/Makefile ===
#!/usr/bin/make -f

PROGRAM = gpu-manager
PROGRAM_FILES = gpu-manager.c
CC = gcc
CFLAGS =-g -Wall $(shell pkg-config --cflags --libs pciaccess libdrm)

all: build

build:
	$(CC) -o $(PROGRAM) $(PROGRAM_FILES) $(CFLAGS)

clean:
	@rm -f $(PROGRAM)

## ubuntu-drivers-common 0.2.71

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.71) quantal; urgency=low

  * tests/ubuntu_drivers.py: When calling PackageKit, retry up to 5 seconds on
    o.f.d.Error.ServiceUnknown, so that this also works reliably on our slow
    ARM builders. (LP: #1061748)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 05 Oct 2012 08:25:30 +0200

ubuntu-drivers-common (1:0.2.70) quantal; urgency=low

  * UbuntuDrivers/detect.py: Never recommend a driver which has "experiment"
    in the name, unless no other driver is available.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Oct 2012 22:59:33 +0200

ubuntu-drivers-common (1:0.2.69) quantal; urgency=low

  * Drop share/last_gfx_boot, and stop installing it in setup.py. This file is
    created and updated at runtime and should not be shipped in the package.
    (LP: #1045629)
  * setup.py: Only install the upstart job on platforms where we build
    hybrid-detect. (LP: #1045193)
  * debian/rules: On architectures which do not ship hybrid-detect, generate a 
    .maintscript helper to clean up the /etc/init/hybrid-gfx.conf upstart job
    conffile on upgrade.
  * tests/ubuntu_drivers.py: Add test for a video driver which supports
    multiple X.org video ABIs. Reproduces LP #1033222.
  * UbuntuDrivers/detect.py, _check_video_abi_compat(): Do not only consider
    the first xorg-video-abi-* dependency, but all of them. (LP: #1033222)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Sep 2012 15:18:26 +0200

ubuntu-drivers-common (1:0.2.68) quantal; urgency=low

  * setup.py: Fix hybrid_detect installation. (LP: #1026787)

 -- Jason Conti <jason.conti@gmail.com>  Fri, 20 Jul 2012 05:45:14 +0200

ubuntu-drivers-common (1:0.2.67) quantal; urgency=low

  * setup.py: Install hybrid-detect through data_files instead of scripts, as
    the later stopped working with python 3.2.3-3 (see LP #1026016)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Jul 2012 10:23:05 +0200

ubuntu-drivers-common (1:0.2.66) quantal; urgency=low

  * UbuntuDrivers/detect.py, system_device_drivers(): Add driver flag
    "manual_installed" if none of the driver packages are installed, but the
    corresponding kernel module is available. This usually means that the user
    installed the driver manually from upstream. (LP: #1025632)
  * share/fake-devices-wrapper: If $FAKE_INSTALLED_KMOD is set, run the
    wrapped program with a "modinfo" wrapper in $PATH which claims that the
    given kernel module name is available. This can be used to test the
    "manually installed driver" case.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Jul 2012 09:29:59 +0200

ubuntu-drivers-common (1:0.2.65) quantal; urgency=low

  * UbuntuDrivers/detect.py, system_driver_packages(): Add 'recommended' flag
    to the nvidia-* and fglrx-* packages, which usually provide more than one
    package for a particular device. (LP: #1025315)
  * UbuntuDrivers/detect.py, auto_install_filter(): Filter out non-recommended
    packages, to avoid installing multiple versions of the NVidia or FGLRX
    driver.
  * UbuntuDrivers/detect.py: Change return value of detect_plugin_packages()
    to a plugin_name → [package, ...] map, so that we retain the plugin names.
  * UbuntuDrivers/detect.py: Add system_device_drivers() API to get a
    by-device view of drivers, plus OS builtin free alternatives (such as
    Nouveau). Add it to README as well. (LP: #1025323)
  * ubuntu-drivers: Add "device" command to show by-device drivers as reported
    by system_device_drivers().

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 17 Jul 2012 15:48:44 +0200

ubuntu-drivers-common (1:0.2.64) quantal; urgency=low

  * debian/control: Add pciutils and usbutilsl build/binary dependencies, so
    that pci-db and usb-db actually have some data files to work with.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Jul 2012 11:08:02 +0200

ubuntu-drivers-common (1:0.2.63) quantal; urgency=low

  * debian/control: Add udev build/binary dependency, to ensure we have pci-db
    and usb-db.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Jul 2012 10:52:46 +0200

ubuntu-drivers-common (1:0.2.62) quantal; urgency=low

  * debian/control: As the PackageKit apt backend is going away, drop the
    Conflicts to packagekit-backend-aptcc. Instead, recommend
    python3-aptdaemon.pkcompat and update the description to point out that
    the PackageKit API does not work with the aptcc backend.
    (LP: #1023953)
  * UbuntuDrivers.detect.py, system_driver_packages(): Add 'vendor' and
    'model' fields for the human readable names from pci/usb databases.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Jul 2012 10:41:12 +0200

ubuntu-drivers-common (1:0.2.61) quantal; urgency=low

  * NvidiaDetector/nvidiadetector.py: Fix crash if there is only one card.
    (LP: #1021305)
  * Add share/fake-devices-wrapper: Wrapper script to run a command under a
    mock sysfs tree which pretends to have an NVidia and ATI graphics card,
    and a Broadcom wifi card. This can be used for testing the new
    software-properties or other driver management software.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Jul 2012 16:49:08 +0200

ubuntu-drivers-common (1:0.2.60) quantal; urgency=low

  * libudev uses $SYSFS_PATH, not $SYSFS. Fix test suite accordingly.
  * debian/tests/system: Raise a more specific exception if headers for
    the running kernel are not installed. Thanks to Jean-Baptiste Lallement
    for the intial patch! (LP: #1021386)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 Jul 2012 07:47:09 +0200

ubuntu-drivers-common (1:0.2.59) quantal; urgency=low

  * UbuntuDrivers/detect.py: Fix crash on non-ASCII characters in Xorg log.
    Adjust test case to reproduce this. (LP: #1020329).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jul 2012 12:38:39 +0200

ubuntu-drivers-common (1:0.2.58) quantal; urgency=low

  * Add detect-plugins/arm-gles.py, thanks Oliver Grawert! (LP: #1016006)
  * debian/tests/system: Add test for virtualbox-dkms.


=== debian/control ===
Source: ubuntu-drivers-common
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
 po-debconf,
 dh-apport,
 python3 (>= 3.2),
 python3-setuptools,
 libpciaccess-dev (>= 0.12.1-2),
 lib32gcc1 [amd64], libc6-i386 [amd64],
 linux-libc-dev,
 pkg-config,
 python3-xkit (>= 0.5.0),
 aptdaemon,
 python3-aptdaemon.pkcompat,
 python3-aptdaemon.test (>= 0.43+bzr810-0ubuntu2~),
 python3-gi,
 gir1.2-glib-2.0,
 gir1.2-packagekitglib-1.0,
 alsa-utils,
 apt-utils,
 dbus,
 udev,
 pciutils,
 python3-dbus
Standards-Version: 3.9.3
Vcs-Git: git://github.com/tseliot/ubuntu-drivers-common.git
Vcs-Browser: https://github.com/tseliot/ubuntu-drivers-common
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest

Package: ubuntu-drivers-common
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 debconf (>= 0.5.00) | debconf-2.0,
 pciutils,
 python3-apt,
 python3-xkit,
 udev,
 pciutils,
 usbutils,
 alsa-utils
Recommends: python3-aptdaemon.pkcompat
Replaces: nvidia-common (<< 1:0.2.46)
Conflicts: nvidia-common (<< 1:0.2.46)
Provides: nvidia-common
Enhances: packagekit-system-interface
Description: Detect and install additional Ubuntu driver packages
 This package aggregates and abstracts Ubuntu specific logic and knowledge
 about third-party driver packages. It provides:
 .
  - a Python API for detecting driver packages for a particular piece of
    hardware or the whole system.
 .
  - an "ubuntu-drivers" command line tool to list or install driver packages
    (mostly for integration in installers).
 .
  - a PackageKit plugin for WhatProvides() for types MODALIAS and
    HARDWARE_DRIVER, to do the same queries as above through the PackageKit API
    (for using in non-distro specific GUIs). This works with aptdaemon's
    PackageKit compatibility layer (python3-aptdaemon.pkcompat) and with
    PackageKit's apt backend, but _not_ with the PackageKit aptcc backend.
 .
  - some NVidia specific support code to find the most appropriate driver
    version, as well as setting up the alternatives symlinks that the
    proprietary NVidia and FGLRX packages use.


Package: dh-modaliases
Architecture: all
Depends: ${perl:Depends},
 ${misc:Depends}
Enhances: debhelper
Description: debhelper extension for scanning kernel module aliases
 dh_modaliases is useful for packages that ship third-party kernel modules,
 either in binary form, or as sources (with e. g. DKMS). It extracts the
 modules' modaliases from either the compile .ko files themselves (for packages
 which ship them in compiled form, using modinfo), or from a package file
 debian/packagename.modaliases.
 .
 This enables software which is looking for missing driver packages (such as
 Jockey or the operating system installer) to identify which package(s) will
 provide a driver for a piece of hardware, identified by its modalias.
 
Package: nvidia-common
Section: oldlibs
Priority: extra
Architecture: i386 amd64 armel armhf
Depends: ubuntu-drivers-common, ${misc:Depends}
Description: transitional package for ubuntu-drivers-common
 This is a transitional package for ubuntu-drivers-common. You can remove it
 after upgrading.

=== debian/rules ===
#!/usr/bin/make -f
DEB_VERSION=$(shell dpkg-parsechangelog | grep ^Version | cut -f2 -d\ |cut -f1 -d-)
py3sdo=set -e; $(foreach py, $(shell py3versions -r), $(py) $(1);)

%:
	dh "$@" --with python3,apport

override_dh_auto_build:
	$(call py3sdo, setup.py build)

override_dh_auto_install:
	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	$(call py3sdo, setup.py egg_info)
	set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run;)
endif

override_dh_auto_clean:
	$(call py3sdo, setup.py clean)

override_dh_install:
	dh_install --fail-missing

	# build dh_modaliases manpage
	mkdir -p debian/dh-modaliases/usr/share/man/man1
	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_modaliases debian/dh-modaliases/usr/share/man/man1/dh_modaliases.1
	
	# clean up upstart conffile on upgrade on architectures which do not
	# ship hybrid-detect
	if [ ! -e debian/ubuntu-drivers-common/usr/bin/hybrid-detect ]; then \
	    echo "rm_conffile /etc/init/hybrid-gfx.conf 1:0.2.69~" > debian/ubuntu-drivers-common.maintscript; \
	fi

override_dh_clean:
	rm -f share/hybrid/hybrid-detect
	rm -f quirksreader_test*.txt
	rm -rf build
	rm -rf *.egg-info
	rm -f debian/ubuntu-drivers-common.maintscript
	dh_clean

## ubuntu-drivers-common 0.2.71.1

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.71.1) quantal-proposed; urgency=low

  * NvidiaDetector/nvidiadetector.py:
    - Make sure to never recommend experimental drivers (LP: #1070795).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 24 Oct 2012 16:42:19 +0200

=== debian/tests/control ===
Tests: system
Restrictions: needs-root

## ubuntu-drivers-common 0.2.75

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.75) raring; urgency=low

  * UbuntuDrivers/detect.py:
    - Add get_linux() which returns the linux metapackage name.
  * UbuntuDrivers/kerneldetection.py:
    - Rely on the source name only for "-lts" packages (a special case).
    - Add KernelDetection.get_linux_metapackage().
  * tests/ubuntu_drivers.py:
    - Add more tests with different kernel names.
    - Extend test coverage to both get_linux() and get_linux_headers()
      from UbuntuDrivers/detect.py.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 30 Jan 2013 12:08:59 +0100

ubuntu-drivers-common (1:0.2.74) raring; urgency=low

  [ Martin Pitt ]
  * hybrid-detect.c: Fix detection of i386 architecture. Thanks Dennis
    Baurichter! (LP: #1096354)

  [ Alberto Milone ]
  * NvidiaDetector/nvidiadetector.py: Exclude -current from the
    recommended flavours. The -current flavour is now a transitional
    package therefore we should not recommend it any more.
  * UbuntuDrivers/kerneldetection.py, UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py: Add support for checking and suggesting
    the required linux headers.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 29 Jan 2013 13:30:50 +0100

ubuntu-drivers-common (1:0.2.73) raring; urgency=low

  * debian/tests/control: Add apport to test dependencies, so that the DKMS
    hook can generate proper crash files which will help with debugging.
  * debian/tests/system: In the Broadcom wifi test, use a proper device class
    and subclass, as the current driver matches on those now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Dec 2012 16:02:42 +0100

ubuntu-drivers-common (1:0.2.72) raring; urgency=low

  [ Matthias Klose ]
  * Build-depend on python3-all.

  [ Dmitrijs Ledkovs ]
  * Use /usr/bin/python3 shebang.

  [ Martin Pitt ]
  * debian/tests/system: Fix duplicate output of error message for test
    failures.
  * tests/ubuntu_drivers.py, test_devices_detect_plugins(): Fix failure if
    special.py occurs first in the output. This bug was triggered by Python
    3.3's new hash randomization behaviour. (LP: #1071997)
  * UbuntuDrivers/detect.py: Fix UnicodeDecodeError crash when encountering a
    package with invalid UTF-8 encoding. Just skip those packages instead. Add
    test to tests/ubuntu_drivers.py.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Nov 2012 15:47:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
  po-debconf,
  dh-apport,
- python3 (>= 3.2),
+ python3-all (>= 3.2),
  python3-setuptools,
  libpciaccess-dev (>= 0.12.1-2),
  lib32gcc1 [amd64], libc6-i386 [amd64],

=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,15 @@
 	# build dh_modaliases manpage
 	mkdir -p debian/dh-modaliases/usr/share/man/man1
 	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_modaliases debian/dh-modaliases/usr/share/man/man1/dh_modaliases.1
-	
+
 	# clean up upstart conffile on upgrade on architectures which do not
 	# ship hybrid-detect
 	if [ ! -e debian/ubuntu-drivers-common/usr/bin/hybrid-detect ]; then \
 	    echo "rm_conffile /etc/init/hybrid-gfx.conf 1:0.2.69~" > debian/ubuntu-drivers-common.maintscript; \
 	fi
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_clean:
 	rm -f share/hybrid/hybrid-detect

## ubuntu-drivers-common 0.2.76

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.76) raring; urgency=low

  * debian/tests/system: nvidia-current is now a transitional package, so
    change tests to test -304.
  * debian/tests/system: Add tests for nvidia-310 and -313-updates.
  * debian/tests/system: Drop sl-modem test case. We don't officially support
    it, and it's broken at the moment. The package build test should move into
    sl-modem itself if anyone is interested in keeping it alive.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Mar 2013 13:12:14 +0100

=== debian/tests/control ===
Tests: system
Depends: ubuntu-drivers-common, apport
Restrictions: needs-root

## ubuntu-drivers-common 0.2.83

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.83) saucy; urgency=low

  * debian/tests/control: Install libgl1-mesa-glx for the tests, so that
    the fglrx packages don't fail to install.
  * debian/tests/system: nvidia-{310,313} are now transitional, drop tests and
    test nvidia-319{,-updates} instead.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 05 Jul 2013 11:13:45 +0200

ubuntu-drivers-common (1:0.2.82) saucy; urgency=low

  * debian/tests/system: Accept stderr messages from the
    TestUbuntuDrivers.test_bcmwl() test, as this spits out lots of libkmod
    errors due to the rather thin umockdev environment.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Jun 2013 07:30:38 +0200

ubuntu-drivers-common (1:0.2.81) saucy; urgency=low

  * debian/tests/system: Port to umockdev.
  * share/fake-devices-wrapper: Fix fake bcmwl modalias.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Jun 2013 22:23:14 +0200

ubuntu-drivers-common (1:0.2.80) saucy; urgency=low

  * Make test failures non-fatal on powerpc.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Jun 2013 17:17:16 +0200

ubuntu-drivers-common (1:0.2.79) saucy; urgency=low

  * Skip test_system_driver_packages_bad_encoding() on powerpc. It's not
    obvious why it fails there, and without a porter box there is little we
    can do.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Jun 2013 14:48:01 +0200

ubuntu-drivers-common (1:0.2.78) saucy; urgency=low

  * debian/tests/system: Drop usage of fakesys.py, should not actually be
    necessary.
  * Drop tests/fakesysfs.py, not used any more and obsolete.
  * Bump Standards-Version to 3.9.4 (no changes necessary).
  * UbuntuDrivers/detect.py, system_aliases(): Tone down "Cannot read modalias
    file" warning into a debug statement; this isn't particularly interesting
    or an error the user could do something about, and it breaks tests on
    powerpc.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Jun 2013 13:43:05 +0200

ubuntu-drivers-common (1:0.2.77) saucy; urgency=low

  * detect.py, _get_db_name(): Call "udevadm hwdb" instead of the old
    /lib/udev/*-db helpers; the latter don't exist any more. This brings back
    vendor/product names. Bump udev dependency accordingly. (LP: #1186777)
  * share/fake-devices-wrapper: Rewrite using umockdev, our fakesys.py does
    not work any more with current libudev.
  * Port test suite from fakesys.py to umockdev. Add umockdev build-dependency
    for this (see MIR LP #1190926)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Jun 2013 14:20:21 +0200

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,15 @@
  python3-gi,
  gir1.2-glib-2.0,
  gir1.2-packagekitglib-1.0,
+ gir1.2-umockdev-1.0,
+ umockdev,
  alsa-utils,
  apt-utils,
  dbus,
  udev,
  pciutils,
  python3-dbus
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://github.com/tseliot/ubuntu-drivers-common.git
 Vcs-Browser: https://github.com/tseliot/ubuntu-drivers-common
 X-Python3-Version: >= 3.2
@@ -40,7 +42,7 @@
  pciutils,
  python3-apt,
  python3-xkit,
- udev,
+ udev (>= 204-0ubuntu4~),
  pciutils,
  usbutils,
  alsa-utils

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 DEB_VERSION=$(shell dpkg-parsechangelog | grep ^Version | cut -f2 -d\ |cut -f1 -d-)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 py3sdo=set -e; $(foreach py, $(shell py3versions -r), $(py) $(1);)
 
 %:
@@ -14,7 +15,7 @@
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	$(call py3sdo, setup.py egg_info)
-	set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run;)
+	set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
 endif
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests: system
Depends: ubuntu-drivers-common, apport, python3-gi, gir1.2-umockdev-1.0, umockdev, libgl1-mesa-glx
Restrictions: needs-root

## ubuntu-drivers-common 0.2.91.4

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.91.4) trusty; urgency=medium

  * Force removal of jockey on upgrades. It has been replaced with
    ubuntu-drivers-common two cycles ago, removed from trusty, and now just
    crashes due to API changes in aptdaemon. (LP: #1216193)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 13 Apr 2014 13:31:11 +0200

ubuntu-drivers-common (1:0.2.91.3) trusty; urgency=medium

  * gpu-manager.c:
    - Move away the xorg.conf if mesa is selected as a
      fallback and binary drivers are still in use in the
      xorg.conf. This will prevent X from failing when
      users on hybrid systems uninstall a binary driver.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 09 Apr 2014 17:06:53 +0200

ubuntu-drivers-common (1:0.2.91.2) trusty; urgency=medium

  * gpu-manager.c:
    - Always check that devices are bound to a driver.
      This works better than blacklisting the 0380 class, and
      should help systems such as the one in LP: #1301839.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 07 Apr 2014 17:52:29 +0200

ubuntu-drivers-common (1:0.2.91.1) trusty; urgency=medium

  * debian/control, debian/rules:
    - Obsolete and replace fglrx-pxpress. The gpu-manager
      already deals with AMD GPUs.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 21 Mar 2014 19:03:20 +0100

ubuntu-drivers-common (1:0.2.91) trusty; urgency=medium

  * debian/control:
    - Add build dependency on libdrm-dev.
  * debian/rules:
    - Remove /etc/init/hybrid-gfx.conf.
    - Also remove the current upstart job from the architectures
      that don't ship gpu-manager.
  * gpu-manager.c, tests/gpu-manager.py:
    - Replace laptop specific hack to detect the need to offload
      rendering to the discrete card with code that opens the
      available drm devices and checks the connected outputs.
      If any outputs are connected to the Intel card, then we
      choose offloading. This also helps when the monitor is
      still connected to Intel on desktop systems with Intel +
      NVIDIA systems.
    - Preliminary work to reduce code duplication in nvidia-prime.
  * tests/ubuntu_drivers.py:
    - Do not abort if test_auto_install_system fails.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 19 Mar 2014 14:49:04 +0100

ubuntu-drivers-common (1:0.2.90) trusty; urgency=low

  * gpu-manager.c, gpu-manager.py:
    - Match only PCI_CLASS_DISPLAY, except for PCI_CLASS_DISPLAY_OTHER.
    - Re-enable outputs connected to NVIDIA discrete cards. This only
      affects Optimus systems (LP: #1290711).
    - Prevent possible buffer overflow when reading the configuration
      from last boot.
    - Clean up and make get_output() more robust (LP: #1290831).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 13 Mar 2014 10:15:06 +0100

ubuntu-drivers-common (1:0.2.89.6) trusty; urgency=low

  * gpu-manager.c:
    - Take action if settings don't match the current bbswitch status
      (LP: #1289420).

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 08 Mar 2014 17:07:28 +0100

ubuntu-drivers-common (1:0.2.89.5) trusty; urgency=low

  * tests/run:
    - Skip gpu-manager.py on anything other than the x86 family.

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 08 Mar 2014 01:26:18 +0100

ubuntu-drivers-common (1:0.2.89.4) trusty; urgency=medium

  [ Martin Pitt ]
  * Reenable tests.
  * Mark the three failing tests as expected failure instead of skipping them
    entirely, so that we can see what they do on the buildds.

  [ Alberto Milone ]
  * tests/gpu-manager.py:
    - Refactor the test suite by reusing more code and reducing the
      overall code.
    - Add test case for zero length dmi product version.
  * share/hybrid/gpu-manager.c:
    - Do not try to match quirks if dmi product version has zero length
      (LP: #1289298).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 07 Mar 2014 22:54:22 +0100

ubuntu-drivers-common (1:0.2.89.3) trusty; urgency=low

  * debian/rules:
    - Temporarily disable all tests. We'll switch them back on as
      soon as we find out the cause of these failures.
  * tests/gpu-manager.py:
    - Do not run on anything but x86 family.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Mar 2014 16:30:54 +0100

ubuntu-drivers-common (1:0.2.89.2) trusty; urgency=low

  * tests/gpu-manager.py:
    - Fix FTBFS.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Mar 2014 11:45:29 +0100

ubuntu-drivers-common (1:0.2.89.1) trusty; urgency=low

  * tests/gpu-manager.py:
    - Remove leftover print that caused tests to fail in -proposed.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Mar 2014 10:47:44 +0100

ubuntu-drivers-common (1:0.2.89) trusty; urgency=low

  * debian/control:
    - Breaks: nvidia-prime (<< 0.6). We don't want the gpu-manager
      to compete with the old nvidia-prime on hybrid systems.
  * share/hybrid/gpu-manager.c:
    - Fix memory leaks and complete the different test cases.
  * tests/gpu-manager.py:
    - Add test suite for gpu-manager to reproduce different
      hardware/software scenarios.
  * UbuntuDrivers/detect.py, tests/ubuntu_drivers.py:
    - Enable installing graphics drivers on laptops with hybrid
      graphics (LP: #1126234), and on desktop systems where the
      BIOS doesn't disable the integrated GPU when a discrete
      card is available (LP: #1126234). This is now possible
      thanks to the gpu-manager (now enabled by default).
  * Replace the deprecated hybrid-detect program with gpu-manager (now
    enabled by default). In case of problems with the gpu-manager, it
    can be disabled by passing "nogpumanager" as a boot parameter.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Mar 2014 09:24:54 +0100

ubuntu-drivers-common (1:0.2.88) trusty; urgency=medium

  * debian/tests/control: Add missing linux-headers test dependency.
  * Drop python3-aptdaemon.pkcompat recommends to a suggests, to avoid pulling
    it into Kubuntu.


=== debian/rules ===
--- 
+++ 
@@ -28,17 +28,26 @@
 	mkdir -p debian/dh-modaliases/usr/share/man/man1
 	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_modaliases debian/dh-modaliases/usr/share/man/man1/dh_modaliases.1
 
+	# clean up old upstart conffile for hybrid-detect
+	if [ ! -e debian/ubuntu-drivers-common/usr/bin/hybrid-detect ]; then \
+	    echo "rm_conffile /etc/init/hybrid-gfx.conf 1:0.2.91~" > debian/ubuntu-drivers-common.maintscript; \
+	fi
+
 	# clean up upstart conffile on upgrade on architectures which do not
-	# ship hybrid-detect
-	if [ ! -e debian/ubuntu-drivers-common/usr/bin/hybrid-detect ]; then \
-	    echo "rm_conffile /etc/init/hybrid-gfx.conf 1:0.2.69~" > debian/ubuntu-drivers-common.maintscript; \
+	# ship gpu-manager
+	if [ ! -e debian/ubuntu-drivers-common/usr/bin/gpu-manager ]; then \
+	    echo "rm_conffile /etc/init/gpu-manager.conf 1:0.2.91~" >> debian/ubuntu-drivers-common.maintscript; \
 	fi
+
+	# Remove fglrx-pxpress' upstart job
+	echo "rm_conffile /etc/init/amd-config.conf 1:0.2.91.1~" >> debian/ubuntu-drivers-common.maintscript
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_clean:
 	rm -f share/hybrid/hybrid-detect
+	rm -f share/hybrid/gpu-manager
 	rm -f quirksreader_test*.txt
 	rm -rf build
 	rm -rf *.egg-info

=== debian/tests/control ===
Tests: system
Depends: ubuntu-drivers-common, apport, python3-gi, gir1.2-umockdev-1.0, umockdev, libgl1-mesa-glx, linux-headers-generic | linux-headers
Restrictions: needs-root

## ubuntu-drivers-common 0.2.91.11somerville1

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.91.11somerville1) trusty; urgency=medium

  * gpu-manger.c: 
    - Use SNA in powersaving mode for pxpress, and keep UXA
      only for performance mode (where it's required). This
      fixes a number of HWE issues (e.g. LP: #1472972).

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 03 Sep 2015 12:20:43 +0800

ubuntu-drivers-common (1:0.2.91.11) trusty; urgency=medium

  * Backport from utopic version 1:0.2.98.4: debian/tests/system,
    tests/ubuntu_drivers.py, UbuntuDrivers/detect.py:
    - Revert the previous changes that made us switch from bcmwl to
      the open driver, as the latter (in order to be a full replacement)
      seems to require firmware that we cannot include in the Ubuntu
      image because of licensing issues (LP: #1481018).

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Aug 2015 11:08:21 -0600

ubuntu-drivers-common (1:0.2.91.10) trusty-proposed; urgency=medium

  * gpu-manager.c, gpu-manager.py:
    - Use the amdconfig tool to configure multi-amd PXpress. This
      fixes a problem where the AMD control panel won't show an
      option to switch between power saving mode and performance
      mode on AMD+AMD hybrid systems (LP: #1410801).
    - The tests now reflect a more relaxed approach so that we
      do not overwrite configurations that are not supported (such
      as multiple xscreens set in the xorg.conf).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 08 May 2015 12:48:37 +0200

ubuntu-drivers-common (1:0.2.91.9) trusty-proposed; urgency=medium

  * sl-modem plugin: Keep environment for aplay, just ensure it's using the C
    locale. This avoids staring pulseaudio twice and causing races for
    attaching devices to pulseaudio. (LP: #1296425)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 05 Jan 2015 17:27:53 +0100

ubuntu-drivers-common (1:0.2.91.8) trusty-proposed; urgency=medium

  * gpu-manager.c:
    - Refine checks for blacklisted modules, so that we don't end up
      catching false positives (LP: #1376966).
      Thanks to Pär Lindfors for the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 10 Dec 2014 18:51:21 +0100

ubuntu-drivers-common (1:0.2.91.7) trusty-proposed; urgency=medium

  * gpu-manager.c, gpu-manager.py:
    - Add support for testing core alternatives. This will be needed
      by fglrx.
    - Fix a regression that caused the gpu-manager to switch to mesa
      after enabling fglrx on hybrid systems (LP: #1310489). Also
      add a test case so that we don't regress in the future.
    - Check that either fglrx or nvidia is set in xorg.conf when
      xorg.conf is needed.
    - Check if kernel modules are blacklisted before choosing the
      driver (LP: #1310489).
    - Enable only GPUs with open drivers that have connected outputs.
      Attaching to GPUs that have no connected outputs would result
      in a black screen.
    - Allow RandR offloading even without bbswitch (LP: #1349282).
    - Fall back to mesa when failing to enable prime.
    - Do not try to enable prime if the nvidia driver is older than
      331.
    - Do not abort if the settings for prime cannot be found.
      Try to create the file before failing.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 29 Aug 2014 11:29:55 +0200

ubuntu-drivers-common (1:0.2.91.6) trusty-proposed; urgency=medium

  * UbuntuDrivers/detect.py, debian/tests/system, tests/ubuntu_drivers.py:
    - Do not autoinstall the broadcom driver. The open driver should be a
      better solution now (LP: #1306928), as the binary driver prevents
      a number of systems from using the wireless card.
    - Autoinstall linux-firmware-nonfree. This will help now that we no
      longer autoinstall Broadcom's binary driver.
    - Fix the relevant tests now that linux-firmware-nonfree has replaced
      bcmwl.
  * gpu-manager.c, tests/gpu-manager.py:
    - Ignore CRT displays when using PRIME. This works around systems whose
      BIOS provides a ghost output (LP: #1296020).
    - Check that we don't remove xorg.confs on 1st boot (as per the
      previous SRU).
    - Try harder when loading bbswitch (LP: #1310023). If loading bbswitch
      fails try with or without the "skip_optimus_dsm=1" option. Also, make
      sure that we trim dmi resources or matching will give us false
      positives.
    - Switch to intel/SNA for optimus systems (LP: #1326257).
    - Make sure to unload nvidia-uvm or nvidia won't be
      unloaded.
    - Make sure to walk properly the /dev/dri dir. This
      prevents the program from stopping when, for example
      /dev/dri/card1 is available while /dev/dri/card0 is
      not.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 06 Jun 2014 11:20:28 +0200

ubuntu-drivers-common (1:0.2.91.5) trusty-proposed; urgency=medium

  * During first boot, don't remove existing xorg.conf. (LP: #1307546)

 -- Mario Limonciello <superm1@ubuntu.com>  Fri, 18 Apr 2014 11:35:27 -0500

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,11 @@
 override_dh_auto_install:
 	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)
 
-override_dh_auto_test:
-ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	$(call py3sdo, setup.py egg_info)
-	set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
-endif
+#override_dh_auto_test:
+#ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+#	$(call py3sdo, setup.py egg_info)
+#	set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
+#endif
 
 override_dh_auto_clean:
 	$(call py3sdo, setup.py clean)

## ubuntu-drivers-common 0.2.91.12

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.91.12) trusty-proposed; urgency=medium

  * Backport from yakkety version 1:0.4.22: gpu-manager.c, gpu-manager.py:
    - Add all the necessary changes for nvidia and hybrid graphics to
      handle the new kernel modules and the EGL alternatives (LP: #1642662).
      Also detect the new amdgpu driver.
    - Leave gdm support disabled, since gdm is still missing a patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 21 Nov 2016 12:04:49 +0100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,9 @@
  dbus,
  udev,
  pciutils,
+ libdrm-dev,
  python3-dbus
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://github.com/tseliot/ubuntu-drivers-common.git
 Vcs-Browser: https://github.com/tseliot/ubuntu-drivers-common
 X-Python3-Version: >= 3.2
@@ -45,11 +46,13 @@
  udev (>= 204-0ubuntu4~),
  pciutils,
  usbutils,
- alsa-utils
-Recommends: python3-aptdaemon.pkcompat
-Replaces: nvidia-common (<< 1:0.2.46)
-Conflicts: nvidia-common (<< 1:0.2.46)
-Provides: nvidia-common
+ alsa-utils,
+ kmod | module-init-tools,
+Suggests: python3-aptdaemon.pkcompat
+Replaces: nvidia-common (<< 1:0.2.46), jockey-common, jockey-gtk, jockey-kde
+Conflicts: nvidia-common (<< 1:0.2.46), jockey-common, jockey-gtk, jockey-kde
+Breaks: nvidia-prime (<< 0.6)
+Provides: nvidia-common, jockey-common, jockey-gtk, jockey-kde
 Enhances: packagekit-system-interface
 Description: Detect and install additional Ubuntu driver packages
  This package aggregates and abstracts Ubuntu specific logic and knowledge
@@ -96,3 +99,12 @@
 Description: transitional package for ubuntu-drivers-common
  This is a transitional package for ubuntu-drivers-common. You can remove it
  after upgrading.
+
+Package: fglrx-pxpress
+Section: oldlibs
+Priority: extra
+Architecture: i386 amd64
+Depends: ubuntu-drivers-common, ${misc:Depends}
+Description: transitional package for ubuntu-drivers-common
+ This is a transitional package for ubuntu-drivers-common. You can remove it
+ after upgrading.

=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,24 @@
 override_dh_auto_install:
 	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)
 
-#override_dh_auto_test:
-#ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-#	$(call py3sdo, setup.py egg_info)
-#	set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
-#endif
+override_dh_auto_test:
+ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	$(call py3sdo, setup.py egg_info)
+	set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
+endif
 
 override_dh_auto_clean:
 	$(call py3sdo, setup.py clean)
 
 override_dh_install:
-	dh_install --fail-missing
+	dh_install --fail-missing -Xsbin -Xlib/udev
+
+	# on architectures where we build gpu-manager, install the
+	# the udev rule, and the script for gpu detection
+	if [ -d debian/tmp/lib/udev ]; then \
+		dh_install -p ubuntu-drivers-common lib/udev/rules.d; \
+		dh_install -p ubuntu-drivers-common sbin; \
+	fi
 
 	# build dh_modaliases manpage
 	mkdir -p debian/dh-modaliases/usr/share/man/man1

## ubuntu-drivers-common 0.2.91.12linuxmint1

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.91.12linuxmint1) rosa; urgency=medium

  [ Clement Lefebvre ]
  * Rebase on 0.2.91.12
  * Add MDM support
  * Broadcom: Recommend STA, but also list B43 firmware installers

  [ wzhy90 ]
  * fixes: quirkinfo.py UnicodeDecodeError for utf-8

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2016 11:04:13 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	$(call py3sdo, setup.py egg_info)
-	set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
+	#set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
 endif
 
 override_dh_auto_clean:

## ubuntu-drivers-common 0.2.98.4

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.98.4) utopic; urgency=medium

  * debian/tests/system, tests/ubuntu_drivers.py,
    UbuntuDrivers/detect.py:
    - Revert the previous changes that made us switch from bcmwl to
      the open driver, as the latter (in order to be a full replacement)
      seems to require firmware that we cannot include in the Ubuntu
      image because of licensing issues (LP: #1374126).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 09 Oct 2014 16:42:53 +0200

ubuntu-drivers-common (1:0.2.98.3) utopic; urgency=medium

  * gpu-manager.c:
    - Add support for "gpumanager_uxa" and "gpumanager_modesetting"
      boot parameters, so that there is an option to force NVIDIA
      Optimus systems (that don't work well with Intel/SNA) to use
      either Intel/UXA or modesetting (LP: #1365695).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 18 Sep 2014 12:15:34 +0200

ubuntu-drivers-common (1:0.2.98.2) utopic; urgency=medium

  * gpu-manager.c, gpu-manager.py:
    - Be more tolerant with xorg.confs. This fixes the multi AMD
      GPU use case where aticonfig insists on not setting the
      PCI domain in the xorg.conf (LP: #1310489). Also add a test
      with one of the xorg.confs from the bug report so that we
      do not regress in the future.

 -- Alberto Milone <alberto.milone@canonical.com>  Sun, 07 Sep 2014 09:28:20 +0200

ubuntu-drivers-common (1:0.2.98.1) utopic; urgency=medium

  * gpu-manager.c, gpu-manager.py:
    - Avoid false positives with blacklisted modules (LP: #1363675).
    - Add regression test for the bug.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Sep 2014 18:01:09 +0200

ubuntu-drivers-common (1:0.2.98) utopic; urgency=medium

  * gpu-manager.c, gpu-manager.py:
    - Add support for testing core alternatives. This will be needed
      by fglrx.
    - Add the --backup-log parameter. This is only used for debugging
      and disabled by default.
    - Fix a regression that caused the gpu-manager to switch to mesa
      after enabling fglrx on hybrid systems (LP: #1310489). Also
      add a test case so that we don't regress in the future.
    - Check that either fglrx or nvidia is set in xorg.conf when
      xorg.conf is needed.
    - Check if kernel modules are blacklisted before choosing the
      driver (LP: #1310489).
    - Enable only GPUs with open drivers that have connected outputs.
      Attaching to GPUs that have no connected outputs would result
      in a black screen.
    - Allow RandR offloading even without bbswitch (LP: #1349282).
    - Fall back to mesa when failing to enable prime.
    - Do not try to enable prime if the nvidia driver is older than
      331.
    - Do not abort if the settings for prime cannot be found.
      Try creating the file before failing.
    - Avoid false positives of unloaded modules.
    - Use the cleanup attribute.
    - Always use snprintf instead of sprintf.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 27 Aug 2014 10:39:17 +0200

ubuntu-drivers-common (1:0.2.97) utopic; urgency=medium

  * tests/testarchive.py: Organize debs in pool/ structure, for better
    reusability.
  * tests/ubuntu_drivers.py: Drop expected failures, they've succeeded for a
    long time. This needs to be fixed properly if there's a bug.
  * sl-modem plugin: Keep environment for aplay, just ensure it's using the C
    locale. (LP: #1296425)
  * Disable linux-firmware-nonfree autopkgtest for now. bcma does not declare
    any firmware dependencies and linux-firmware-nonfree does not declare
    modaliases, so it either just works now, or the driver needs fixing first.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Aug 2014 10:13:11 +0200

ubuntu-drivers-common (1:0.2.96.1) utopic; urgency=medium

  * gpu-manager.c:
    - Make sure to unload nvidia-uvm or nvidia won't be
      unloaded.
    - Make sure to walk properly the /dev/dri dir. This
      prevents the program from stopping when, for example
      /dev/dri/card1 is available while /dev/dri/card0 is
      not.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 11 Jun 2014 17:29:38 +0200

ubuntu-drivers-common (1:0.2.96) utopic; urgency=medium

  * gpu-manager.c:
    - Try harder when loading bbswitch (LP: #1310023).
      If loading bbswitch fails try with or without the
      "skip_optimus_dsm=1" option.
    - Switch to intel/SNA for optimus systems (LP: #1326257).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 04 Jun 2014 15:59:24 +0200

ubuntu-drivers-common (1:0.2.95) utopic; urgency=medium

  [ Tim Lunn ]
  * gpu-manager.c, gpu-manager.conf:
    - Use the gpu-manager with GDM too now that support for
      it has landed in Utopic (LP: #1262068).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 30 May 2014 14:09:31 +0200

ubuntu-drivers-common (1:0.2.94) utopic; urgency=medium

  * gpu-manager.c, tests/gpu-manager.py:
    - Trim dmi resources or matching will give false positives.
      This should fix LP: #1310516 for good.
    - Re-enable checking alternatives for pxpress.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 16 May 2014 13:28:31 +0200

ubuntu-drivers-common (1:0.2.93) utopic; urgency=medium

  * gpu-manager.c, tests/gpu-manager.py:
    - Add support for matching dmi product name (LP: #1310516).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 May 2014 15:50:11 +0200

ubuntu-drivers-common (1:0.2.92.2) utopic; urgency=medium

  * gpu-manager.c:
    - Revert switch to the intel driver from modesetting until
      some issues are fixed.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 28 Apr 2014 18:37:02 +0200

ubuntu-drivers-common (1:0.2.92.1) utopic; urgency=medium

  * debian/tests/system, tests/ubuntu_drivers.py:
    - Fix the relevant tests now that linux-firmware-nonfree
      has replaced bcmwl.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 28 Apr 2014 18:03:45 +0200

ubuntu-drivers-common (1:0.2.92) utopic; urgency=medium



## ubuntu-drivers-common 0.4.5

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.5) vivid; urgency=medium

  * Call dh_systemd_enable after installing gpu-manager.service, so that the
    unit actually gets enabled. Also quiesce the confusing error messages
    about nonexisting binary package directories. (LP: #1443364)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Apr 2015 07:01:15 -0500

ubuntu-drivers-common (1:0.4.4) vivid; urgency=medium

  * debian/tests/system: Re-enable fglrx tests and update them for the
    fglrx-core split.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Apr 2015 12:47:48 +0200

ubuntu-drivers-common (1:0.4.3) vivid; urgency=medium

  * debian/tests/system: Don't use --auto-remove on purge, to avoid removing
    our test dependencies.
  * debian/tests/system: Set noninteractive debconf frontend, to avoid debconf
    error messages.
  * debian/tests/system: Mark fglrx tests as expected failures, the current
    fglrx driver is known to be incompatible with current X.org.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Apr 2015 11:44:45 +0200

ubuntu-drivers-common (1:0.4.2) vivid; urgency=medium

  * gpu-manager.c:
    - Do not abort when dealing with sddm. This allows users to get
      partial support for hybrid graphics when using sddm instead of
      lightdm.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 09 Apr 2015 12:51:23 +0200

ubuntu-drivers-common (1:0.4.1) vivid; urgency=medium

  * debian/tests/system:
    - Add test for nvidia-346 and change the ids for nvidia-340.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Mar 2015 17:47:05 +0100

ubuntu-drivers-common (1:0.4) vivid; urgency=medium

  [ Dimitri John Ledkov ]
  * Add cpu-microcode detect-plugin. (LP: #1386257)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Feb 2015 14:52:28 +0100

ubuntu-drivers-common (1:0.3) vivid; urgency=medium

  * debian/tests/system: nvidia-331 is transitional now, so adjust tests to
    use nvidia-340.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Feb 2015 10:38:48 +0100

ubuntu-drivers-common (1:0.2.98.9) vivid; urgency=medium

  * gpu-manager.c:
    - Ignore pci passthroughs (LP: #1397124).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 08 Dec 2014 10:56:17 +0100

ubuntu-drivers-common (1:0.2.98.8) vivid; urgency=medium

  * gpu-manager.service: Log into /var/log/gpu-manager.log so that we can pick
    this up from apport.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 03 Dec 2014 15:28:24 +0100

ubuntu-drivers-common (1:0.2.98.7) vivid; urgency=medium

  * Only install systemd unit on architectures where gpu-manager gets built.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 03 Dec 2014 14:59:47 +0100

ubuntu-drivers-common (1:0.2.98.6) vivid; urgency=medium

  * setup.py: Drop unnecessary glob().
  * tests/ubuntu_drivers.py: Set SYSTEMD_LOG_LEVEL to avoid failing on
    unexpected udevadm debug spew if the kernel gets booted with "debug".
    Fixes FTBFS on our arm64 builders.
  * Add systemd unit for gpu-manager.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 03 Dec 2014 13:36:11 +0100

ubuntu-drivers-common (1:0.2.98.5) vivid; urgency=medium

  * gpu-manager.c:
    - Refine checks for blacklisted modules, so that we don't end up
      catching false positives (LP: 1376966).
      Thanks to Pär Lindfors for the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 30 Oct 2014 11:36:55 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 9),
  po-debconf,
  dh-apport,
+ dh-systemd,
  python3-all (>= 3.2),
  python3-setuptools,
  libpciaccess-dev (>= 0.12.1-2),

=== debian/rules ===
--- 
+++ 
@@ -15,20 +15,19 @@
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	$(call py3sdo, setup.py egg_info)
-	#set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
+	set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
 endif
 
 override_dh_auto_clean:
 	$(call py3sdo, setup.py clean)
 
 override_dh_install:
-	dh_install --fail-missing -Xsbin -Xlib/udev
+	dh_install --fail-missing -Xlib/systemd
 
-	# on architectures where we build gpu-manager, install the
-	# the udev rule, and the script for gpu detection
-	if [ -d debian/tmp/lib/udev ]; then \
-		dh_install -p ubuntu-drivers-common lib/udev/rules.d; \
-		dh_install -p ubuntu-drivers-common sbin; \
+	# on architectures where we build gpu-manager, install the systemd unit
+	if [ -d debian/tmp/lib/systemd ]; then \
+		dh_install -p ubuntu-drivers-common lib/systemd; \
+		dh_systemd_enable -p ubuntu-drivers-common; \
 	fi
 
 	# build dh_modaliases manpage
